# Get qualification types Retrieves available qualification types and their details for use in crew qualification assignments. Features: - Returns paginated list of available qualifications - Includes qualification metadata and configuration For more information on managing crew qualifications, see the Crew Qualification Management Guide. Endpoint: GET /api/v2/qualification-types Version: 2.4.0 Security: X-Api-Client-Id, X-Auth-Token ## Query parameters: - `limit` (integer) Maximum number of records to return. Example: 20 - `offset` (integer) Number of records to skip before starting to return results. ## Response 200 fields (application/json): - `data` (array) The list of qualifications for the current page. - `data.id` (string) Unique identifier for the qualification type Example: "qual-type-12345" - `data.name` (string) Name of the qualification type Example: "Airline Transport Pilot License" - `data.abbreviation` (string) Abbreviated name of the qualification Example: "ATPL" - `data.warning` (string) Warning message associated with the qualification - `data.notes` (string) Additional notes about the qualification - `data.parentId` (string) Identifier of the parent qualification type Example: "parent-qual-123" - `data.appliesTo` (string) Crew positions this qualification applies to Enum: "FLIGHT_DECK", "PIC", "SIC", "CREW_CABIN", "CREW_POSITIONS_AND_ROLES" - `data.type` (string) Qualification category Enum: "PILOT_PRIVATE", "PILOT_COMMERCIAL", "TYPE_RATING", "DIFFERENCE_TRAINING", "MEDICAL_US_CL1", "US_61_58", "MEDICAL_EU", "AIRPORT_SPECIFIC", "MEDICAL_US_CL2", "MEDICAL_US_CL3", "SPECIAL_INTERNATIONAL", "EFVS", "RESTRICTIONS", "RECENCY", "OPC" - `data.trainingType` (string) Type of training associated with this qualification Enum: "NONE", "AIRCRAFT", "ATO", "CLASSROOM", "ELEARNING", "BASE", "CHECKS_ORAL", "CHECKS_FLIGHT_CHECK", "GROUND_TRAINING", "AIRCRAFT_SPECIFIC", "SIM", "SPECIAL_CURRICULUM", "CURRENCY", "MISC", "SPECIAL", "DEPRECATED_TYPE_RATING", "LICENSE" - `data.isActive` (boolean) Whether this qualification type is currently active Example: true - `data.createdAtDateTime` (string) Date and time when this qualification type was created (yyyy-MM-ddTHH:mm:ss.SSSZ) Example: "2024-01-15T10:30:00.000Z" - `data.updatedAtDateTime` (string) Date and time when this qualification type was last updated (yyyy-MM-ddTHH:mm:ss.SSSZ) Example: "2024-01-15T10:30:00.000Z" - `pagination` (object) Pagination details - `pagination.offset` (integer) Number of records skipped - `pagination.limit` (integer) Maximum number of records returned Example: 20 - `pagination.totalItems` (integer) Total number of items available Example: 150 - `pagination.sortItems` (array) List of fields used for sorting Example: ["issueDate desc"] - `pagination.filters` (array) List of applied filters - `pagination.filters.field` (string) Field name to filter by Example: "issueDate" - `pagination.filters.operator` (string) Filter operator Example: "gte" - `pagination.filters.value` (string) Filter value Example: "2024-01-01T00:00:00.000Z" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields